* * *

Author Topic: Lazarus 18.04 - Erreur: La dépendance ne peut être satisfaite: fpc (= 3.0.4)...  (Read 969 times)

carondaniel1957

  • New member
  • *
  • Posts: 8
Bonjour je possède Lazarus 18.02 fonctionnel mais quand je veut installer la dernière mouture avec gDBI, je recois ce message:

Lazarus 18.04 - Erreur: La dépendance ne peut être satisfaite: fpc (= 3.0.4) fp-compiler (= 3.0.4).

Des suggestions $$

Salutations à tous
-------------------------------------------------------------------------------------------------------------------------------------
Good day to all I already a functionnal Lazarus 18.02 but when I want to install the new version with gDBI I get this message

Lazarus 18.04 - Error: The  dependancy cannot be satisfied: fpc (= 3.0.4) fp-compiler (= 3.0.4).

Any suggestions ??

Regards to all

Daniel
« Last Edit: May 23, 2018, 03:34:23 pm by carondaniel1957 »

mattias

  • Administrator
  • Full Member
  • *
  • Posts: 118
    • http://www.lazarus.freepascal.org

carondaniel1957

  • New member
  • *
  • Posts: 8
Ohh my god...the last time I did that it screwed things up. Even doing apt install lazarus does not upgrade as it says that I have the latest version.  %). I am kind of scared to screw up again.  :(

Ruptor

  • Full Member
  • ***
  • Posts: 171
See my solution for this problem on page 2 of this post.
https://forum.lazarus.freepascal.org/index.php/topic,39281.15.html
It might work for you.

Paul Breneman

  • Sr. Member
  • ****
  • Posts: 261
    • Control Pascal
I just got an install to work on 64-bit Xubuntu 18.04.

I downloaded 3 debs here: https://sourceforge.net/projects/lazarus/files/Lazarus%20Linux%20amd64%20DEB/Lazarus%201.8.4/

In a terminal in my Downloads folder I did:
sudo dpkg -i fpc_3.0.4-3_amd64.deb
sudo dpkg -i fpc-src_3.0.4-2_amd64.deb
sudo dpkg -i lazarus-project_1.8.4-0_amd64.deb
sudo startlazarus

On the last step I had to use sudo if an upgrade was needed from a previous version!
Regards,
Paul Breneman
www.ControlPascal.com

bylaardt

  • Sr. Member
  • ****
  • Posts: 269
you must edit the control file inside the package:
Control file from fpc-src.deb:
Code: [Select]
Package: fpc-src
Version: 3.0.4+fixed
Section: devel
Priority: optional
Maintainer: Mattias Gaertner <mattias@freepascal.org>
Architecture: amd64
Replaces: fpc-source, fpc-source-3.0.4
Conflicts: fpc-source, fpc-source-3.0.4
Installed-Size: 293352
Description: Free Pascal Sources
 The Free Pascal Compiler is a Delphi and Turbo Pascal 7.0 compatible
 32/64bit Object Pascal Compiler. It comes with a huge run-time library.
 Shared libraries can be linked and created.
 This package contains the sources for the compiler, the rtl, fcl and packages.

control from fpc.deb
Code: [Select]
Package: fpc
Version: 3.0.4+fixed
Section: devel
Priority: optional
Maintainer: Mattias Gaertner <mattias@freepascal.org>
Architecture: amd64
Pre-Depends: binutils
Replaces: fp-compiler, fp-compiler-3.0.4, fp-utils, fp-ide, fp-units-rtl, fp-units-base, fp-units-fcl, fp-units-fv, fp-units-gtk, fp-units-gtk2, fp-units-gnome1, fp-units-db, fp-units-gfx, fp-units-net, fp-units-math, fp-units-misc, fp-units-multimedia
Conflicts: fp-compiler, fp-compiler-3.0.4, fp-utils, fp-ide, fp-units-rtl, fp-units-base, fp-units-fcl, fp-units-fv, fp-units-gtk, fp-units-gtk2, fp-units-gnome1, fp-units-db, fp-units-gfx, fp-units-net, fp-units-math, fp-units-misc, fp-units-multimedia
Installed-Size: 214612
Description: Free Pascal Compiler
 Freepascal is a free 32/64bit Pascal Compiler. It comes with a
 run-time library fully compatible with Turbo Pascal 7.0 and nearly
 Delphi compatible. Some extensions are added to the language, like
 function overloading. Shared libraries can be linked. This package
 contains commandline compiler and utils. Provided units are the
 runtime library (RTL), free component library (FCL) and bindings
 for among others gtk1, gtk2, ncurses, zlib, mysql, postgres and
 ibase.
control from lazarus.deb
Code: [Select]
Source: lazarus-project
Package: lazarus-project
Version: 1.8.4
Section: devel
Priority: optional
Maintainer: Mattias Gaertner <mattias@freepascal.org>
Architecture: amd64
Replaces: lazarus, lazarus-doc, lazarus-ide, lazarus-ide-gtk2, lazarus-ide-qt4, lazarus-src
Conflicts: lazarus, lazarus-doc, lazarus-ide, lazarus-ide-gtk2, lazarus-ide-qt4, lazarus-src
Depends: libgtk2.0-dev (>=2.6.0), fpc (>=3.0.4) | fp-compiler (>=3.0.4), fpc-src (>=3.0.4) | fpc-source (>=3.0.4), fpc (>=3.0.4) | fp-ide (>=3.0.4), fpc (>=3.0.4) | fp-units-base (>=3.0.4), fpc (>=3.0.4) | fp-units-db (>=3.0.4), fpc (>=3.0.4) | fp-units-fcl (>=3.0.4), fpc (>=3.0.4) | fp-units-fv (>=3.0.4), fpc (>=3.0.4) | fp-units-gfx (>=3.0.4), fpc (>=3.0.4) | fp-units-gnome1 (>=3.0.4), fpc (>=3.0.4) | fp-units-gtk (>=3.0.4), fpc (>=3.0.4) | fp-units-gtk2 (>=3.0.4), fpc (>=3.0.4) | fp-units-misc (>=3.0.4), fpc (>=3.0.4) | fp-units-net (>=3.0.4), fpc (>=3.0.4) | fp-units-rtl (>=3.0.4), fpc (>=3.0.4) | fp-utils (>=3.0.4)
Installed-Size: 602488
Description: RAD tool for freepascal
 Lazarus is a free and opensource IDE and RAD tool for Free Pascal using the
 Lazarus component library LCL. The LCL is included in this package too.
 See http://www.lazarus.freepascal.org

you can get a example how edit a deb file here:
 http://forum.lazarus.freepascal.org/index.php/topic,34405.msg226581.html#msg226581

Paul Breneman

  • Sr. Member
  • ****
  • Posts: 261
    • Control Pascal
you must edit the control file inside the package:

Why must I edit the three deb files?  It seems to install and work without doing that.

I do need to lock the files as this morning Xubuntu wants to updare the fpc and remove the lazarus.  I didn't let it.
« Last Edit: June 02, 2018, 12:54:00 pm by Paul Breneman »
Regards,
Paul Breneman
www.ControlPascal.com

bylaardt

  • Sr. Member
  • ****
  • Posts: 269
Why must I edit the three deb files?  It seems to install and work without doing that.
I do need to lock the files as this morning Xubuntu wants to updare the fpc and remove the lazarus.  I didn't let it.
Ubuntu distribution has fpc and lazarus on repository with several modifications. This modifications comes with the +dfsg sufix.
when you update your system and compare instaled versions -dfsg-3 sufix is alphabetic higher than the original package then apt-get/aptitude assume is a new version to update. Lazarus crash as a consequence.
« Last Edit: June 03, 2018, 07:43:51 pm by bylaardt »

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus